+ Post New Thread
Page 358 of 621 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 15503

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 70,232
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 66,344
    18th Sep 2006 10:46 pm Go to last post
  1. Width of Mtext chars

    Hello. Suppose that I have a limited length of (600. long of distance) , and I do not want the Mtext strings to exceed that area . What is the dxf code which control the width of Mtext in...

    Started by Michaels‎, 9th Dec 2010 01:36 pm
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 4,052
    9th Dec 2010 09:49 pm Go to last post
  2. simple expression problems

    I'm getting some strange results from expressions. I'm new to LISP so this will hopefully be painfully obvious to someone but it's driving me nuts. If (rem 10.0 2) is 0 and variable mdr is 5.0,...

    Started by tcuneio‎, 8th Dec 2010 09:22 pm
    • Replies: 7
    • Views: 1,364
    9th Dec 2010 09:46 pm Go to last post
  3. Lsp on creating Blocks from drawn Polyline

    Once again, i am posting for help on a lsp that could help me reduce my CAD processing time and mistakes. Situation: I have to enlarge or shrink the size of the "polyline" dimension in the...

    Started by CarlTonDor‎, 3rd Dec 2009 05:47 am
    • Replies: 7
    • Views: 3,049
    9th Dec 2010 09:34 pm Go to last post
  4. Dialog to remember entry

    I am trying to get my dialog box to remember the last thing I entered for both fields. This is what I have but it doesn't work. I had a look at afralisp but I don't see where I'm going wrong. Can...

    Started by woodman78‎, 9th Dec 2010 04:17 pm
    • Replies: 4
    • Views: 1,522
    9th Dec 2010 07:39 pm Go to last post
  5. Lisp that changes LTScale for Paper Space

    Can someone help me with a lisp that will automatically change my LTScale to .3 when I go to Paper Space and then go back to normal when I switch to Model Space? We had a lisp for 2009 but it...

    Started by jbush2404‎, 6th Dec 2010 11:49 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 6,075
    9th Dec 2010 11:36 am Go to last post
  6. Placing lisps in folder?

    i made this "Layer Utilities lisps" - placed it in Express folder in AutoCAD, restart program, but it doesnt work. maybe i do something wrong?

    Started by din_Dins‎, 8th Dec 2010 07:10 am
    • Replies: 7
    • Views: 1,770
    9th Dec 2010 07:03 am Go to last post
  7. Finding unpurgeable (problem) entities??

    Is it possible to find un-purgable items? If a layer or linetype or font is part of a block or is associated with some other entity is there a way to highlight it or otherwise locate it in some...

    Started by ILoveMadoka‎, 8th Dec 2010 09:09 pm
    • Replies: 2
    • Views: 1,381
    9th Dec 2010 06:24 am Go to last post
  8. Savename?

    I'm printing test.dwg to PDF using lisp routine. I'm using this expression to generate the file name: (setq pdf_name (getfiled "Specify file name to plot *.pdf" (getvar "SAVENAME") "pdf" 5)) ...

    Started by be_bo‎, 9th Dec 2010 12:23 am
    • Replies: 2
    • Views: 997
    9th Dec 2010 01:29 am Go to last post
  9. better way to write this?

    Why does this seem a bit sluggish? (defun c:mod (/ ent id ss i) (if (setq ss (ssget '((0 . "insert")))) (repeat (setq id (sslength ss)) (if (eq (vlax-get-property (setq ent...

    Started by Lt Dan's legs‎, 5th Nov 2010 06:25 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 4,231
    8th Dec 2010 09:17 pm Go to last post
  10. copy text to a attribute in an selected block

    I need a lisp that copies (single line) text to an attribute with the tag TAG1 in a selected block TKS, Jaap

    Started by Jaap Marchal‎, 7th Dec 2010 08:27 pm
    • Replies: 6
    • Views: 5,165
    8th Dec 2010 08:14 pm Go to last post
  11. Unhappy Convert XDATA structure to XRECORD

    Hello I have a data structure as described in XData: * Registered Application Name: LINK_POLIG * Code 1002, Starting or ending brace: { * Code 1000, ASCII string: EDITED * Code 1002, Starting...

    Started by vasco_rou‎, 7th Dec 2010 01:12 pm
    • Replies: 1
    • Views: 3,123
    8th Dec 2010 05:31 pm Go to last post
  12. Tutorial: Error Handling

    Following my earlier tutorial here, I've just uploaded my latest tutorial on the topic of Error Handling. The tutorial can be found here. As always, I welcome any feedback you might have,...

    Started by Lee Mac‎, 7th Dec 2010 06:58 pm
    error, handling, trapping, tutorial
    • Replies: 5
    • Views: 4,836
    8th Dec 2010 02:13 pm Go to last post
  13. Tutorial: Prompting with a Default Option

    In the past, I've seen a lot of questions about this particular topic so I have decided to put together a short tutorial surrounding the idea of prompting a user whilst offering a default option to...

    Started by Lee Mac‎, 6th Dec 2010 12:34 pm
    • Replies: 7
    • Views: 4,076
    8th Dec 2010 02:11 pm Go to last post
  14. ReverseLines.lsp (Reverse Direction of Lines, PLines, Splines)

    Allows user to reverse direction of selected Lines, LWPolylines and Splines. Call with: ReverseLines or RL Updated: 03.19.10

    Started by alanjt‎, 18th Mar 2010 09:51 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 7,297
    8th Dec 2010 02:04 pm Go to last post
  15. fillet polylines

    Hi all The attached drawing contains 2 polylines which I want to fillet I have tried 2 ways but could not succeed. 1 I passed result of (entsel) for both entities to fillet Command:...

    Started by gpd‎, 7th Dec 2010 08:00 am
    • Replies: 5
    • Views: 4,258
    8th Dec 2010 01:59 pm Go to last post
  16. project chainage of polyline on a straight line

    hello to all i need help how to transfer length of arc and straight line, the segment of polyline to a horizental line the length of this line is same length of polyline thanks

    Started by motee-z‎, 22nd Nov 2010 09:15 pm
    3 Pages
    1 2 3
    • Replies: 29
    • Views: 9,186
    8th Dec 2010 01:29 pm Go to last post
  17. Create DCL "on the fly" - problem - anyone can test it ?

    hello i have a problem with creating DCL window "on the fly" i want to do this in (getenv "TEMP") folder. on one computer there is no problem but on other there is error "Can't write DCL file" ...

    Started by kruuger‎, 7th Dec 2010 02:39 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 4,961
    8th Dec 2010 11:37 am Go to last post
  18. Enlarge the font in the standard text editor? (Not mtext).

    Is there a way to enlarge the font in the standard text editor (not mtext)? I'm finding myself wasting a lot of time positioning my cursor with the mouse, only to have to use the arrow keys to get...

    Started by SteveBubendorf‎, 6th Dec 2010 09:31 am
    • Replies: 7
    • Views: 3,508
    8th Dec 2010 12:11 am Go to last post
  19. To anyone with Land Desktop

    Would someone with Land Desktop mind posting a drawing that includes at least 1 LDD style point? Be sure to turn on number, description, elevation labels.

    Started by alanjt‎, 30th Oct 2009 12:35 am
    • Replies: 3
    • Views: 2,076
    7th Dec 2010 11:15 pm Go to last post
  20. how to find a block handle in a drawing

    Looking for a lisp to find a handle Mike

    Started by Jaap Marchal‎, 6th Dec 2010 09:23 pm
    • Replies: 9
    • Views: 7,422
    7th Dec 2010 08:27 pm Go to last post
  21. Find vertices 180 degrees or less

    My code below inserts blocks on all vertices of a closed pline. How can I modify it so that blocks are inserted only if the internal angle is 180 degrees or less? thanks (setq ent (car...

    Started by Small Fish‎, 6th Dec 2010 07:34 pm
    • Replies: 2
    • Views: 1,218
    7th Dec 2010 07:26 pm Go to last post
  22. Open Next Drawing

    I am looking for a command that would open the NEXT drawing in a folder. Example: You have file A.dwg you just type "open-next" it opens B.dwg You have file C.dwg you just type "open-next" it...

    Started by lemacs‎, 2nd Dec 2010 06:58 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 3,351
    7th Dec 2010 05:20 pm Go to last post
  23. Set insert block scale (not insuts)

    Is there any way with Autolisp to allow the user to set the insert scale of a block? So that all the blocks inserted have the same value until another size is desired. What I do now is insert a...

    Started by tcalabrese‎, 6th Dec 2010 11:58 pm
    set insert block scale
    • Replies: 6
    • Views: 2,972
    7th Dec 2010 04:26 pm Go to last post
  24. Simple LISP (I guess)

    I find myself once again in the need of help from experts like you. I think the LISP I want is simple, if it can be done. I have a drawing which has some lines drawn in it and a value writen by...

    Started by Peri‎, 6th Dec 2010 02:07 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,159
    7th Dec 2010 12:51 pm Go to last post
  25. Question Need professional help

    Guys Im a newbie in autolisp can someone help me to edit this code. I want to change the output from polyline to spline and labeled as per 50 meters. (defun timeini () (setq s...

    Started by hctub‎, 7th Dec 2010 09:00 am
    • Replies: 0
    • Views: 949
    7th Dec 2010 09:00 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts